Subject: [SWIPL] foreign library

From: "Ioannis Partsakoulakis" <[email-masked]>
Date: Sun, 16 Dec 2001 13:52:18 -0800

I have deifned a C++ method like the following

PREDICATE(iniagent,0) {
    ...
}

and have created a dll file. I can load this dll from a prolog file called
ica.pl by adding

:-load_foreign_library('c:/icagent/debug/icai.dll').

and all goes fine when I call iniagent method from prolog.

I saved the ica.pl as a qlf file and now I want to make a new C++ file that
loads ica.qlf and calls the iniagent predicate. However, when I call
predicate iniagent from the C++ file I get the message "Undefined procedure
iniagent/0".

Any help would be valuable.

Thanks,

Ioannis